#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "grafPlayerApp.h"
#include "grafStartUpApp.h"

enum{
MOUSE_NONE,MOUSE_ZOOM,MOUSE_TRANSLATE,MOUSE_ROTATE
};

enum{
MODE_PLAYER
};

class testApp : public ofBaseApp{

	public:

		testApp();
		~testApp();
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void resized(int w, int h);



        //----------- 
		grafPlayerApp	appGrafPlayer;
		grafStartUpApp	appGrafStart;
	
	

		//---------- paramètres de l'application
        bool            bShiftOn;
        bool            bShowFrameRate;
		bool			bMouseOn;
		bool			bHomeOn;
	

        int             screenW,screenH;
        float           lastX, lastY;
		int             mouse_mode;
		int sW,sH;
	
	
		int mode;
	

	
	
	
};

#endif
